Bug 1127874 - Apache httpd VirtualHost ServerName value should be used for resource's name in inventory [NEEDINFO]
Summary: Apache httpd VirtualHost ServerName value should be used for resource's name ...
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Operations Network
Classification: JBoss
Component: Plugin -- Apache, Usability
Version: JON 3.0.1
Hardware: All
OS: All
medium
medium
Target Milestone: ER01
: JON 3.3.0
Assignee: RHQ Project Maintainer
QA Contact: Sunil Kondkar
URL:
Whiteboard:
Keywords: Triaged
Depends On: 835312 837449
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-07 18:05 UTC by John Mazzitelli
Modified: 2018-12-01 15:38 UTC (History)
7 users (show)

(edit)
JBoss ON was not reflecting the Apache Virtual Host ServerName specified in the httpd.conf virtual host definition. This caused JBoss ON to not display Apache Virtual Hosts correctly: all virtual hosts showed the same name or IP Address. The Virtual Host resource name was shown as the machine name rather than the specified ServerName. The fix changes the behaviour of the Apache Plug-in to select the ServerName and VirtualHost combination as the first priority for resourceName, and fall back to ServerName if required.
Clone Of: 837449
(edit)
Last Closed: 2014-12-11 14:05:15 UTC
jmorgan: needinfo? (skondkar)


Attachments (Terms of Use)
screenshot (92.01 KB, image/png)
2014-08-25 08:02 UTC, Sunil Kondkar
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 150243 None None None Never

Comment 1 John Mazzitelli 2014-08-07 20:01:55 UTC
git commit to release/3.3.x : 19b538137f7c45f52e6a639d539fa220a68e72f6

Comment 2 Simeon Pinder 2014-08-19 23:50:47 UTC
Moving to ON_QA as available to test in the following brew build:

https://brewweb.devel.redhat.com//buildinfo?buildID=379025

Comment 3 Sunil Kondkar 2014-08-25 08:01:03 UTC
Verified on version : 3.3.0.ER01 build Number :	23b3476:f3aa7e7

Followed the steps and verified that virtual host is referencing the value of the ServerName directive of the virtual host configuration.
Please refer attached screenshot.

Comment 4 Sunil Kondkar 2014-08-25 08:02:03 UTC
Created attachment 930359 [details]
screenshot


Note You need to log in before you can comment on or make changes to this bug.